# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.0.0](https://github.com/react-boilerplate/react-boilerplate-cra-template/compare/v0.1.3...v1.0.0) (2020-05-18)

### Features

- ✨ added media query utility ([c776cdd](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/c776cdd7e55295d304268cc0821779c9720f0fdd))

### Bug Fixes

- 🐛 removed `connected-react-router` ([#28](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/28)) ([f6a0350](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/f6a0350dc5c6203a1b1c47d2b420245b7251bd05))
- 🐛 supporting css prop in styled-components ([57895a3](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/57895a3ca97acc7e6dda2a14b093d669d3be4e9e)), closes [#27](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/27)

### Documentation

- 📚️ added example repo to readme ([5f5e413](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/5f5e4133b85f5a7c6bbbbae24fd0c6361ad9e151))
- 📚️ added FAQ ([47d81b3](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/47d81b311e7c7d2a1f68e55af6d7e10e37526759))
- 📚add netlify deployment ([#23](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/23)) ([fb9860d](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/fb9860defd9704d2941a2ef7bdb9c13ed462786b))

### Internals

**This section only concerns the contributors of this project. You can ignore these changes since they DO NOT create changes in the CRA Template**

<details><summary>Click to see the internal changes</summary>

- ♻️ fix typo ([a4a4f50](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/a4a4f5076abc31d9cad612c0c4daab7d37b753b4)), closes [#25](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/25)
- ♻️ fix typo in toolkit.tsx comment ([#18](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/18)) ([1867a5b](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/1867a5b48fcd3b8d54ddd3a07cddf5ececc36c91))
- ♻️ updated clean script name ([3cedb94](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/3cedb9494d242cc48fc605c2002d1cf173c14c55))
- ♻️ updated readme ([765a897](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/765a8972733a556bd39b414cbbe1ff9458864f6a))
- 🔧 added commit hook verify startingTemplate changes ([e0240c8](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/e0240c83f1f5d0a7fd370759c6114b25bdb5044c))
- 🔧 added script for creating changelog ([4ed9ed5](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/4ed9ed555e6d3c5363819af3f5eebf7800ec6046))
- 🔧 improved cleaning script ([a3d05f8](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/a3d05f8faa49cffbdb3e82fe53a9024db8f2170b)), closes [#29](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/29)
- 🔧 moved creation of the test CRA to a script to avoid husky bug ([e6f8054](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/e6f805435b332587875f045f327e97c43b0b49bf))
- 🚨 added media utility tests ([3f2d9c9](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/3f2d9c991e8af4914dcd899d6a346dceae0a9463))

</details>

### [0.1.3](https://github.com/react-boilerplate/react-boilerplate-cra-template/compare/v0.1.2...v0.1.3) (2020-05-05)

### Bug Fixes

- 🐛 moving typescript check to pre-commit from lint-staged ([6aac0d3](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/6aac0d302bcea714dd8a1ad49b3c77b91204d0b2))

### Internals

**This section only concerns the contributors of this project. You can ignore these changes since they DO NOT create changes in the CRA Template**

<details><summary>Click to see the internal changes</summary>

- ✨ redux dev tools enabled on github page ([aa890c5](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/aa890c50bcd130788b0b4736efd51b71ae9c057c))
- 👷 added job to test the released version ([a328db6](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/a328db6f64b9baffbc2bd04f1e84809f3a9e8364))
- 🔧 added npm test to CI ([1fbf852](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/1fbf85269e499c280c0cbe15194f882344b3e9ec))
- 🔧 adding commitlint to workflows ([#13](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/13)) ([f049526](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/f04952662f818ea5fab6d895770e3570748b4313))
- 🔧Fix typo in README ([#9](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/9)) ([8680c10](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/8680c10d2d96e8ad2cae86a40f3c0a86ba76a513))
- 🔧switched to standard-version ([#15](https://github.com/react-boilerplate/react-boilerplate-cra-template/issues/15)) ([ce497b5](https://github.com/react-boilerplate/react-boilerplate-cra-template/commit/ce497b533a2aa81d1a5a08d487534e60b4189b32))

</details>
